@echo off
rem -----
rem Set the format of the DOS prompt
rem -----
PROMPT $P$G

rem -----
rem Clear the screen (remove CLS to see the FreeDOS/4DOS startup messages)
rem -----
rem CLS
echo Starting PocketDOS...
echo.

rem -----
rem The following line sets the DOS PATH
rem -----
PATH A:\DOS;A:\VC;A:\TP7

rem ----
rem The following line enables the built-in mouse driver. You don't need
rem to load this 'high', as it does not remain resident.
rem ----
\DOS\MOUSE

rem ----
rem The following line enables the CTMOUSE mouse driver. The /B switch 
rem will cause the driver not to load if the built-in mouse driver is 
rem active. The /P switch will force the driver to load in PS/2 mode,
rem which is the only mode supported by PocketDOS.
rem ----
LH \DOS\CTMOUSE /B /P >NUL:

rem ----
rem Display drive settings (for information only)
rem Type: SETDRIVE /? for more information.
rem Note: SETDRIVE must be run from AUTOEXEC.BAT to enable saved redirections
rem ----
SETDRIVE NOBANNER
echo.

rem ----
rem Set DOS drive M: to refer to "\My Documents" (example)
rem ----
rem SETDRIVE M: "\My Documents"

rem ----
rem Display comm port settings (for information only)
rem Type: SETCOM /? for more information.
rem ----
rem SETCOM NOBANNER
rem echo.

rem ----
rem Redirect DOS COM1 port to built-in modem on COM6 (example)
rem ----
rem SETCOM COM1: COM6:

rem ----
rem Execute PocketDOS command-line (if any)
rem ----
DOSCMD

rem ----
rem Display additional information (if any)
rem ----
IF NOT EXIST A:\README.BAT GOTO SKIP_README
CALL A:\README.BAT
:SKIP_README

rem ----
rem Change the current drive to C: (disable before using FDISK on a new hard 
rem disk image, or you will need to change the current drive to A: ignoring
rem and/or selecting "Abort" for any error messages)
rem ----
C:

rem ----
rem Display some help (for information only)
rem ----
echo To exit PocketDOS, type: EXITDOS


